Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class AbstractReportExporter

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              com.jaspersoft.jasperserver.war.action.AbstractReportExporter

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

Direct Known Subclasses:
  ReportCsvExporter, ReportExcelExporter, ReportPdfExporter, ReportRtfExporter

    public abstract class AbstractReportExporter

extends org.springframework.webflow.action.MultiAction

Version:
  $Id: AbstractReportExporter.java 9885 2007-09-03 16:39:13Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`AbstractReportExporter()`

Method Summary
`org.springframework.webflow.execution.Event` | `export(org.springframework.webflow.execution.RequestContext context)`
`protected abstract void` | `export(org.springframework.webflow.execution.RequestContext context, ExecutionContext executionContext, java.lang.String reportUnitURI, java.util.Map baseParameters)`
`protected void` | `exportBuffered(org.springframework.webflow.execution.RequestContext context, javax.servlet.http.HttpServletResponse response, net.sf.jasperreports.engine.JasperPrint jasperPrint, java.lang.String reportUnitURI)`
`protected void` | `exportToStream(org.springframework.webflow.execution.RequestContext context, javax.servlet.http.HttpServletResponse response, net.sf.jasperreports.engine.JasperPrint jasperPrint, java.lang.String reportUnitURI)`
`protected abstract java.lang.String` | `getContentType(org.springframework.webflow.execution.RequestContext context)`
`protected ExecutionContext` | `getExecutionContext(org.springframework.webflow.execution.RequestContext context)`
`protected abstract ExportParameters` | `getExportParameters(org.springframework.webflow.execution.RequestContext context)`
`protected java.lang.String` | `getFilename(org.springframework.webflow.execution.RequestContext context, java.lang.String fileExtension)`
`java.lang.String` | `getFlowAttributeJasperPrintName()`
`java.lang.String` | `getFlowAttributeReportUnitURI()`
`HttpUtils` | `getHttpUtils()`
`int` | `getInitialMemoryBufferSize()`
`SessionObjectSerieAccessor` | `getJasperPrintAccessor()`
`int` | `getMemoryThreshold()`
`protected java.lang.String` | `getReportName(org.springframework.webflow.execution.RequestContext context)`
`boolean` | `isSetResponseContentLength()`
`protected void` | `setAdditionalResponseHeaders(org.springframework.webflow.execution.RequestContext context, javax.servlet.http.HttpServletResponse response)`
`void` | `setFlowAttributeJasperPrintName(java.lang.String flowAttributeJasperPrintName)`
`void` | `setFlowAttributeReportUnitURI(java.lang.String requestAttributeReportUnitURI)`
`void` | `setHttpUtils(HttpUtils httpUtils)`
`void` | `setInitialMemoryBufferSize(int initialMemoryBufferSize)`
`void` | `setJasperPrintAccessor(SessionObjectSerieAccessor jasperPrintAccessor)`
`void` | `setMemoryThreshold(int memoryThreshold)`
`void` | `setSetResponseContentLength(boolean setResponseContentLength)`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, initAction, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractReportExporter

    public AbstractReportExporter()

Method Detail

### export

    public org.springframework.webflow.execution.Event export(org.springframework.webflow.execution.RequestContext context)
                                                       throws java.io.IOException,
                                                              net.sf.jasperreports.engine.JRException

  Throws:
    `java.io.IOException`
    `net.sf.jasperreports.engine.JRException`

### exportToStream

    protected void exportToStream(org.springframework.webflow.execution.RequestContext context,
                                  javax.servlet.http.HttpServletResponse response,
                                  net.sf.jasperreports.engine.JasperPrint jasperPrint,
                                  java.lang.String reportUnitURI)
                           throws java.io.IOException,
                                  net.sf.jasperreports.engine.JRException

  Throws:
    `java.io.IOException`
    `net.sf.jasperreports.engine.JRException`

### getExecutionContext

    protected ExecutionContext getExecutionContext(org.springframework.webflow.execution.RequestContext context)

### exportBuffered

    protected void exportBuffered(org.springframework.webflow.execution.RequestContext context,
                                  javax.servlet.http.HttpServletResponse response,
                                  net.sf.jasperreports.engine.JasperPrint jasperPrint,
                                  java.lang.String reportUnitURI)
                           throws java.io.IOException,
                                  net.sf.jasperreports.engine.JRException

  Throws:
    `java.io.IOException`
    `net.sf.jasperreports.engine.JRException`

### getFlowAttributeJasperPrintName

    public java.lang.String getFlowAttributeJasperPrintName()

### setFlowAttributeJasperPrintName

    public void setFlowAttributeJasperPrintName(java.lang.String flowAttributeJasperPrintName)

### getFlowAttributeReportUnitURI

    public java.lang.String getFlowAttributeReportUnitURI()

### setFlowAttributeReportUnitURI

    public void setFlowAttributeReportUnitURI(java.lang.String requestAttributeReportUnitURI)

### isSetResponseContentLength

    public boolean isSetResponseContentLength()

### setSetResponseContentLength

    public void setSetResponseContentLength(boolean setResponseContentLength)

### getInitialMemoryBufferSize

    public int getInitialMemoryBufferSize()

### getMemoryThreshold

    public int getMemoryThreshold()

### setMemoryThreshold

    public void setMemoryThreshold(int memoryThreshold)

### setInitialMemoryBufferSize

    public void setInitialMemoryBufferSize(int initialMemoryBufferSize)

### getContentType

    protected abstract java.lang.String getContentType(org.springframework.webflow.execution.RequestContext context)

### getExportParameters

    protected abstract ExportParameters getExportParameters(org.springframework.webflow.execution.RequestContext context)

  Parameters:
    `context` -
  Returns:

### setAdditionalResponseHeaders

    protected void setAdditionalResponseHeaders(org.springframework.webflow.execution.RequestContext context,
                                                javax.servlet.http.HttpServletResponse response)

### getReportName

    protected java.lang.String getReportName(org.springframework.webflow.execution.RequestContext context)

### export

    protected abstract void export(org.springframework.webflow.execution.RequestContext context,
                                   ExecutionContext executionContext,
                                   java.lang.String reportUnitURI,
                                   java.util.Map baseParameters)
                            throws net.sf.jasperreports.engine.JRException

  Throws:
    `net.sf.jasperreports.engine.JRException`

### getFilename

    protected java.lang.String getFilename(org.springframework.webflow.execution.RequestContext context,
                                           java.lang.String fileExtension)

### getJasperPrintAccessor

    public SessionObjectSerieAccessor getJasperPrintAccessor()

### setJasperPrintAccessor

    public void setJasperPrintAccessor(SessionObjectSerieAccessor jasperPrintAccessor)

### getHttpUtils

    public HttpUtils getHttpUtils()

### setHttpUtils

    public void setHttpUtils(HttpUtils httpUtils)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.